package setagaya.fes;

import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.graphics.PixelFormat;
import android.os.IBinder;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;

public class LayerService extends Service{

	View view;
	WindowManager wm;
	
	@Override
	public int onStartCommand(Intent intent, int flags, int startId){
		super.onStartCommand(intent, flags, startId);

		wm = (WindowManager) getApplicationContext().getSystemService(Context.WINDOW_SERVICE);
		LayoutInflater layoutInflater = LayoutInflater.from(this);
		view = layoutInflater.inflate(R.layout.overlay, null);
		
		WindowManager.LayoutParams params = new WindowManager.LayoutParams(
				WindowManager.LayoutParams.WRAP_CONTENT,
				WindowManager.LayoutParams.WRAP_CONTENT,
				WindowManager.LayoutParams.TYPE_SYSTEM_ALERT,
				/*WindowManager.LayoutParams.FLAG_NOT_TOUCH_MODAL |*/
				WindowManager.LayoutParams.FLAG_NOT_FOCUSABLE,
				PixelFormat.TRANSLUCENT);
		params.gravity = Gravity.TOP | Gravity.LEFT;
		wm.addView(view, params);

		ImageView dragView = (ImageView) view.findViewById(R.id.imageView1);
		//Button dragView2 = (Button) view.findViewById(R.id.button);
		LinearLayout dragView3 = (LinearLayout)view.findViewById(R.id.LinearLayout);
		DragViewListener listener = new DragViewListener(view, wm, dragView, null, dragView3);
		dragView.setOnTouchListener(listener);
		
		return START_STICKY;
	}
	
	@Override
	public void onCreate(){
		super.onCreate();
	}
	
	@Override
	public void onDestroy(){
		wm.removeView(view);
	}

	@Override
	public IBinder onBind(Intent intent){
		return null;
	}
}
